お使いのブラウザは最新版ではありません。最新のブラウザでご覧ください。

Mozilla Japan、QuickTimeの問題を修正した「Firefox 2.0.0.7」を公開

2007/09/19 20:17
  • このエントリーをはてなブックマークに追加

 Mozilla Japanは9月19日、脆弱性1件を修正した「Firefox 2.0.0.7」を公開した。

 今回のアップデートで修正されたのは、「QuickTimeのメディアリンクファイルを通じたコードの実行」で、Windows上で特定の属性を含むQuickTimeのメディアリンクファイルを使って、任意のコマンドラインオプション付きで既定のブラウザを起動できるというもの。

 Firefox 2.0.0.6またはそれ以前のバージョンになっている場合、「-chrome」というコマンドオプションを用いることで、悪意のあるソフトウェアのインストールや、ローカルデータの盗み出し、データの破壊などに利用される可能性があるという。

 今回の修正では、コマンドラインから任意のスクリプトを実行できるようにする仕組みを削除することにより、この問題に対応している。なお、他のコマンドラインオプションは従来通り利用できる。

  • このエントリーをはてなブックマークに追加
個人情報保護方針
利用規約
訂正
広告について
運営会社